GDCM 3.2.1

Classes | Namespaces | Macros | Typedefs | Functions
gdcmVR.h File Reference
`#include "gdcmTag.h"`
`#include "gdcmTrace.h"`
`#include "gdcmString.h"`
`#include <iostream>`
`#include <fstream>`
`#include <assert.h>`
Include dependency graph for gdcmVR.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | gdcm::UI
class | gdcm::VR
| VR class. More...

## Namespaces
namespace | gdcm

## Macros
#define | TYPETOENCODING(type, rep, rtype)
#define | VRTypeTemplateCase(type)

## Typedefs
typedef String<'\\', 16 > | gdcm::AEComp
typedef String<'\\', 64 > | gdcm::ASComp
typedef String<'\\', 16 > | gdcm::CSComp
typedef String<'\\', 64 > | gdcm::DAComp
typedef String<'\\', 64 > | gdcm::DTComp
typedef String<'\\', 64 > | gdcm::LOComp
typedef String<'\\', 64 > | gdcm::LTComp
typedef String<'\\', 64 > | gdcm::PNComp
typedef String<'\\', 64 > | gdcm::SHComp
typedef String<'\\', 64 > | gdcm::STComp
typedef String<'\\', 16 > | gdcm::TMComp
typedef String<'\\', 4294967294 > | gdcm::UCComp
typedef String<'\\', 64, 0 > | gdcm::UIComp
typedef String<'\\', 4294967294 > | gdcm::URComp
typedef String<'\\', 64 > | gdcm::UTComp

## Functions
std::ostream & | gdcm::operator<< (std::ostream &_os, const UI &_val)
std::ostream & | gdcm::operator<< (std::ostream &_os, const VR &val)

## Macro Definition Documentation

## ◆ TYPETOENCODING

#define TYPETOENCODING | ( |  | type,
|  |  | rep,
|  |  | rtype )

Value:
template<> struct VRToEncoding<VR::type> \
{ enum:long long { Mode = VR::rep }; }; \
template<> struct VRToType<VR::type> \
{ typedef rtype Type; };

## ◆ VRTypeTemplateCase

#define VRTypeTemplateCase | ( |  | type | ) |

Value:
case VR::type: \
return sizeof ( VRToType<VR::type>::Type );

Referenced by gdcm::VR::GetSize().